/*
 * Created on 04/06/2005
 *
 * Projeto do Ferraz.
 */
package dados;

import java.io.Serializable;

import fundamentos.AbstractObject;
import fundamentos.Comparable;


public class DataAreaArvore
	extends AbstractObject
	implements Serializable
{
    
    private String nome;
    
    public DataAreaArvore(String nome)
    {    	
    	this.nome 		= nome;    
    }
    
    public DataAreaArvore()
    {    
    	this("");    
    }

    public String getNome()
    {
    	return nome;
    }
    
    public void setNome( String nome )
    {
    	this.nome = nome;
    }
    
    public String toString()
	{   
	    String dataArea = " Nome: " + nome + "\n";
	    return dataArea;
	}
    
    /*
     * Retorna 0 se for igual, retorna negativo se for menor(no caso:
     * alfabeticamente), e retorna positivo se for maior.
     */
    protected int compareTo (Comparable object)
    {
		DataAreaArvore arg = (DataAreaArvore) object;
		//return (int) numero - arg.numero;
		//System.out.println(nome.compareTo(arg.nome));
		return nome.compareTo(arg.nome);		
    }
}
